/*
	Copyright (C) 2005 dxp

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef GLOBALS_H
#define GLOBALS_H 1

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
#include <sys/resource.h>
#include <inttypes.h>
#include <signal.h>
#include <fcntl.h>
#include <termios.h>

#include "config.h"
#include "functions.h"

#define convert(index) \
{ \
	j = digest[(index)]; \
		output[(index) << 1] = fasthex[( j >> 4 ) & 0x0f]; \
			output[( (index) << 1 ) + 1] = fasthex[j & 0x0f]; \
}
#define MAX_WORD_SIZE 32

extern struct			rusage	usage;
extern struct			termios saved_attr, term;
extern unsigned int		pd_len;
extern unsigned int		wlen;
extern uint64_t			cnt_words, cnt_chars;	// counter for words and characters tested.
extern uint32_t			err;	// Return value after comparing digests.
extern uint32_t			word_rf_len;	// Length of generated ascii word to brute.
extern uint32_t			dig_off;
extern char				alphabet[];
extern char				password_hash[];
extern uint8_t			word_rf[];
extern const char		fasthex[];
extern unsigned char	*password_digest;
extern uint8_t			sha1_digest[];
extern uint8_t			md5_digest[];
extern FILE				*fd;
extern uint32_t			mode;

#endif /* ! INCLUDES_H */
